php-imagick_3.4.3~rc2-2ubuntu4_i386.deb


Advertisement

Description

php-imagick - Provides a wrapper to the ImageMagick library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename php-imagick_3.4.3~rc2-2ubuntu4_i386.deb
Package name php-imagick
Package version 3.4.3~rc2
Package release 2ubuntu4
Package architecture i386
Package type deb
Category universe/php
Homepage http://pecl.php.net/package/imagick
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 90.45 KB
Installed size 431.00 KB
Imagick is a native php extension to create and modify images using the
ImageMagick API.
This extension requires ImageMagick version 6.2.4+ and PHP 5.1.3+.
IMPORTANT: Version 2.x API is not compatible with earlier versions.

Alternatives

Package Version Architecture Repository
php-imagick_3.4.3~rc2-2ubuntu4_amd64.deb 3.4.3~rc2 amd64 Ubuntu Universe
php-imagick - - -

Requires

Name Value
libc6 >= 2.4
libmagickcore-6.q16-3 >= 8:6.9.6.8
libmagickwand-6.q16-3 >= 8:6.9.6.8
php-common >= 1:7.0+33~
phpapi-20170718 -

Provides

Name Value
php7.2-imagick -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-imagick_3.4.3~rc2-2ubuntu4_i386.deb
Source Package php-imagick

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-imagick deb package:
    # sudo apt-get install php-imagick

Files

Path
/etc/php/7.2/mods-available/imagick.ini
/usr/include/php/20170718/ext/imagick/php_imagick_shared.h
/usr/lib/php/20170718/imagick.so
/usr/share/doc/php-imagick/changelog.Debian.gz
/usr/share/doc/php-imagick/copyright

Changelog

2018-02-02 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-imagick (3.4.3~rc2-2ubuntu4) bionic; urgency=medium
* No-change rebuild for PHP7.2. 
2017-05-01 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-imagick (3.4.3~rc2-2ubuntu3) artful; urgency=medium
* No-change rebuild for PHP7.1. 
2017-02-09 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php-imagick (3.4.3~rc2-2ubuntu2) zesty; urgency=medium
* debian/patches/no-openmp-threads.patch: limit the number of openmp
threads used to 1.
[ This was incorrectly dropped in the sync of 3.4.3~rc2-1 to
zesty-proposed, updated for new upstream release ]
2017-02-08 - Jeremy Bicha <jbicha@ubuntu.com>
php-imagick (3.4.3~rc2-2ubuntu1) zesty; urgency=medium
* debian/tests/control:
- Restore Restriction: needs-recommends since the tests require
the -extra libmagickcore package
2017-01-24 - Ondřej Surý <ondrej@debian.org>
php-imagick (3.4.3~rc2-2) unstable; urgency=medium
[ Jeremy Bicha ]
* Update debian/tests/control (from Ubuntu) (Closes: #816724)
2017-01-23 - Ondřej Surý <ondrej@debian.org>
php-imagick (3.4.3~rc2-1) unstable; urgency=medium
[ Jeremy Bicha ]
* Have d/tests/control depend on imagemagick-6.q16 and its recommends
[ Ondřej Surý ]
* New upstream version 3.4.3~rc2
* Rebase patches on top of 3.4.3~rc2
2016-12-15 - Ondřej Surý <ondrej@debian.org>
php-imagick (3.4.3~rc1-4) unstable; urgency=medium
* Use $LIBS instead of $LDFLAGS when searching for MagickWand symbols
* Reinstate --as-needed as this was fixed in php-imagick
2016-12-15 - Ondřej Surý <ondrej@debian.org>
php-imagick (3.4.3~rc1-3) unstable; urgency=medium
* Use $LIBS instead of $LDFLAGS
2016-12-15 - Ondřej Surý <ondrej@debian.org>
php-imagick (3.4.3~rc1-2) unstable; urgency=medium
* Rebuild without --as-needed (needs dh_php >= 0.24~)
2016-11-01 - Ondřej Surý <ondrej@debian.org>
php-imagick (3.4.3~rc1-1) unstable; urgency=medium
* Skip Imagick version check by default -- re-enable with
'imagick.skip_version_check = false' (Closes: #842658)
* Imported Upstream version 3.4.3~rc1 (stable)
* Rebase patches on top of 3.4.3~rc1 release

See Also

Package Description
php-imap_7.2+60ubuntu1_all.deb IMAP module for PHP [default]
php-interbase_7.2+60ubuntu1_all.deb Interbase module for PHP [default]
php-intl_7.2+60ubuntu1_all.deb Internationalisation module for PHP [default]
php-invoker_1.1.4-3_all.deb Utility class for invoking callables with a timeout
php-jmespath_2.3.0-2ubuntu1_all.deb Declaratively specify how to extract elements from a JSON document
php-json-schema_5.2.6-1_all.deb implementation of JSON schema
php-json_7.2+60ubuntu1_all.deb JSON module for PHP [default]
php-kdyby-events_2.4.0-3_all.deb Events for Nette Framework
php-klogger_1.2.1-2_all.deb simple logging class
php-letodms-core_3.4.2-1_all.deb Document management system
php-letodms-lucene_1.1.1-2_all.deb Document management system - Fulltext search
php-libsodium_1.0.6-1build3_i386.deb PHP wrapper for the Sodium cryptographic library
php-libvirt-php_0.5.4-1_i386.deb libvirt bindings for PHP
php-log_1.12.9-2_all.deb Logging Framework
php-luasandbox_3.0.1-1_i386.deb PHP extension that provides a sandboxed Lua environment
Advertisement
Advertisement